pydo.genai.cancel_model_evaluation_run()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.genai.cancel_model_evaluation_run(
eval_run_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"eval_run_uuid": "\"12345678-1234-1234-1234-123456789012\"",
},
)Description
To cancel an in-progress model evaluation run, send a PUT request to /v2/gen-ai/model_evaluation_runs/{eval_run_uuid}/cancel.
Parameters
eval_run_uuidstring requiredUUID of the model evaluation run to cancel. Returned by
CreateModelEvaluationRun
and listed viaListModelEvaluationRuns. The run must be in a non-terminal status
(queued, running_dataset, or evaluating_results); already-terminal runs return an
error.eval_run_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"UUID of the model evaluation run to cancel. Returned by
CreateModelEvaluationRun
and listed viaListModelEvaluationRuns. The run must be in a non-terminal status
(queued, running_dataset, or evaluating_results); already-terminal runs return an
error.
Request Sample
Response Example
More Information
See /v2/gen-ai/model_evaluation_runs/{eval_run_uuid}/cancel in the API reference for additional detail on responses, headers, parameters, and more.